Skip to main content
GET
/
mini-league
List mini leagues
curl --request GET \
  --url https://sandbox.api.fantasyfutbol.app/v1/mini-league \
  --header 'x-api-key: <api-key>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "rank_system": "<string>",
      "total_squads": 123,
      "code": "<string>",
      "is_open": true,
      "is_active": true,
      "start_game_week": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "week": "<string>",
        "start_date": "2023-11-07T05:31:56Z",
        "end_date": "2023-11-07T05:31:56Z"
      },
      "fantasy_league": {
        "id": 123,
        "name": "<string>"
      },
      "rank_updated_at": "2023-11-07T05:31:56Z",
      "style": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "page": 123,
    "page_total": 123,
    "per_page": 123,
    "current": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
integer
Required range: x >= 1
fantasy_league_id
integer
Required range: x >= 1

Response

Mini leagues retrieved

statusCode
integer
required
message
string
required
data
object[]
required
paging
object
required